import request from '@/config/axios'

// 创建
export const createOkrNode = (data) => {
  return request.post({
    url: '/admin-api/okr/node/add',
    data,
    isSubmitForm: true,
    headers: { 'instance-id': 1016 }
  })
}

// 修改
export const updateOkrNode = (data) => {
  return request.put({
    url: '/admin-api/okr/node/update',
    data,
    headers: { 'instance-id': 1016 }
  })
}

// 查询详情
export const getOkrNodeDetail = (nodeId) => {
  return request.get({
    url: '/admin-api/okr/node/get',
    params: { nodeId },
    headers: { 'instance-id': 1016 }
  })
}

// 我负责的 - 节点树
export const getMyNodeTree = (params) => {
  return request.get({
    url: '/admin-api/okr/node/my/list',
    params,
    headers: { 'instance-id': 1016 }
  })
}

// 我负责的 - okr列表
export const getMyOkrPage = (params) => {
  return request.get({
    url: '/admin-api/okr/node/my/object/list',
    params,
    headers: { 'instance-id': 1016 }
  })
}

// 全部目标 - 节点树
export const getAllNodeTree = (params) => {
  return request.get({
    url: '/admin-api/okr/node/all/list',
    params,
    headers: { 'instance-id': 1016 }
  })
}

// 全部目标 - okr列表
export const getAllOkrPage = (params) => {
  return request.get({
    url: '/admin-api/okr/node/all/object/list',
    params,
    headers: { 'instance-id': 1016 }
  })
}

// 获取节点操作历史
export const getOkrNodeHistory = (nodeId) => {
  return request.get({
    url: '/admin-api/okr/record/list',
    params: { nodeId },
    headers: { 'instance-id': 1016 }
  })
}

// 获取系统默认的关键成果内容
export const getDefaultOkrOptions = () => {
  return request.get({
    url: '/admin-api/okr/dict-data/get-by-type',
    params: { dictType: 'key_result_source' },
    headers: { 'instance-id': 1016 }
  })
}

// 更新OKR进度
export const updateOkrProgress = (data) => {
  return request.put({
    url: '/admin-api/okr/node/progress/update',
    data,
    headers: { 'instance-id': 1016 }
  })
}
